Summary: LZMA compression tools
Name: xz
Version: 5.4.7
Release: 1%{?dist}
License: GPLv2+ and Public Domain
URL: https://tukaani.org/xz/
Source0: https://github.com/tukaani-project/xz/releases/download/v%{version}/xz-%{version}.tar.xz

BuildRequires: make gcc perl-interpreter

Requires: xz-libs = %{version}-%{release}

%description
This package provides XZ Utils, which mainly contains tools and libraries
of Lempel Ziv Markov algorithm(LZMA) compression. LZMA provides high 
compression ratio while keeping the decompression speed fast, average 
compression ratio of LZMA is about 30%% better than that of gzip, 
and 15%% better than that of bzip2.


%package libs
Summary: Libraries for decoding LZMA compression files
License: Public Domain
Obsoletes: xz-compat-libs < %{version}-%{release}

%description libs
Libraries for decoding files compressed by LZMA or XZ utils.


%package static
Summary: Statically linked library for decoding LZMA compression files
License: Public Domain

%description static
Statically linked library for decoding files compressed by LZMA or
XZ utils. Most users should *not* install this.


%package  devel
Summary: Development libraries and headers for liblzma
License: Public Domain
Requires: xz-libs = %{version}-%{release}

%description devel
Development libraries and headers for liblzma.


%package lzma-compat
Summary: Older LZMA format compatibility binaries
License: Public Domain
Requires: xz = %{version}-%{release}
Provides: lzma = %{version}
Obsoletes: lzma < %{version}

%description lzma-compat
The lzma-compat package contains compatibility symlinks for older
commands(lzma) that deal with the older LZMA format.


%prep
%autosetup -p1

%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %name

%check
LD_LIBRARY_PATH=$PWD/src/liblzma/.libs make check


%files -f %{name}.lang
%license COPYING*
%doc %{_pkgdocdir}
%{_bindir}/*xz*
%{_mandir}/man1/*xz*
%{_mandir}/de/man1/*xz*
%{_mandir}/fr/man1/*xz*
%{_mandir}/ko/man1/*xz*
%{_mandir}/ro/man1/*xz*
%{_mandir}/uk/man1/*xz*
%{_mandir}/pt_BR/man1/*xz*
%exclude %_pkgdocdir/examples*

%files libs
%license COPYING
%{_libdir}/lib*.so.5*

%files static
%license COPYING
%{_libdir}/liblzma.a

%files devel
%doc %{_pkgdocdir}/examples*
%dir %{_includedir}/lzma
%{_includedir}/lzma/*.h
%{_includedir}/lzma.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/liblzma.pc

%files lzma-compat
%{_bindir}/*lz*
%{_mandir}/man1/*lz*
%{_mandir}/de/man1/*lz*
%{_mandir}/fr/man1/*lz*
%{_mandir}/ko/man1/*lz*
%{_mandir}/ro/man1/*lz*
%{_mandir}/uk/man1/*lz*
%{_mandir}/pt_BR/man1/*lz*

%changelog
* Tue Aug 20 2024 Upgrade Robot <upbot@opencloudos.tech> - 5.4.7-1
- Upgrade to version 5.4.7

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.4-2
- Rebuilt for loongarch release

* Thu Jan 11 2024 rockerzhu <rockerzhu@tencent.com> - 5.4.4-1
- Upgrade to 5.4.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 27 2023 Shuo Wang <abushwang@tencent.com> - 5.4.3-1
- update to 5.4.3-1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.5-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 12 2022 Yi Lin <nilusyi@tencent.com> - 5.2.5-1
- package init.
